Welcome

PentagonMail Assistant portal is used by you the customer to manage licenses, obtain downloads, view changelogs and updates.

Copyright © Pentagon Solutions Ltd. All Rights Reserved.


User Menu

When clicking on your account email at the top of the page, you will be presented with these four options:

Here is an explanation of the function of each of the four buttons:

  • Change Password: This button will send an email to the user, providing instructions and a link to change their password.
  • Support: This button will open the user's email application with a pre-drafted email addressed to Pentagon Support. The user can use this draft to send any questions or issues they may have about the application.
  • Latest Help: This button will open a new browser window, directing the user to the latest help documentation for the "PentagonMail Assistant."
  • Log Off: This button will log the user out of the Licensing Portal.


My Contracts

If designated as a Contract Admin, a user possesses the capability to add/delete users from a contract, as well as view certain contract details. This category will cover the functionality and alterations that can be made to contracts.

Several Contract admins can be added to one contract by a Pentagon Service Administrator if requested, but the user must first have a Portal account that they can access in order to use their elevated permissions.

My Contracts Page

On the "My Contracts" page, Contract Admins can view and edit contracts with the following information displayed:

    • Company Name
    • Contract Serial Number
    • Active Users Count
    • Named Licenses: Maximum licenses assignable to the company.
    • Available Licenses: Remaining licenses that can be assigned.
    • License Status: Indicates if the license is active and usable.

Contract Admin Options

Contract Admins can perform the following actions:

    • Add/Delete Users: Manage users within a contract.
    • Search Users: Search through all users within a contract.
    • Reclaim Licenses: Revoke licenses from users.


Manage Users

My Contracts ››

When viewing the members of a contract, the following information is displayed:

  • Top Section
    • Serial Number
    • Company Name
    • Active Users Count
    • Allowed Licenses
    • License Status (Active or Inactive)

  • User's Table
    • User Email Addresses
    • Date User Added to Contract
    • License Activation Date
    • User's Installed PentagonMail Assistant Version
    • Type of License
    • License Status


Deleting Users

Contract Admins can select and delete users from the contract page, enabling the "Delete Users" functionality. Deleting a user will prevent that user from using the license associated with the company they were present in. Multiple users can be deleted simultaneously.

After selecting a contract, you must select the user or users that you wish to delete by clicking the small box to the left of their name. This will highlight them in blue for ease of legibility.

Once you have selected all users that you wish to delete, click the delete button found at the top right of the table interface.

Once the button has been clicked, a prompt will appear displaying all users you have selected for deletion, while also displaying if they have an active license assigned to them. Upon clicking "Delete", all users within the prompt will be removed from the contract and their license will be revoked and available for reassignment.


Adding Users

To add users, Contract Admins click the "Add Users" button, opening a pop-up menu where they can enter the email addresses of users they wish to add to the contract.

An example of adding two users can be seen below:


Searching and Sorting

The table displaying contract details can be sorted by clicking the column names, facilitating easier navigation and information viewing.

By leveraging these functionalities, Contract Admins can efficiently manage contracts and user allocations within the system.


Downloading Installers

Within the PMA Portal, a user has the ability to download the latest version of the PMA Application using the "Download Installer" option present within the navigation bar.

This will allow the user to select either the 32bit (x86) or the 64bit (x64) version of the application (the user should pick the correct option based on their devices operating system). If you are unaware as to which version should be installed, please ask your System administrator to ensure you proceed with the correct version.

A detailed guide for the installation process of the PMA application can be found within the "General Help" located here .